# configs

Configuration through [Ansible](https://ansible.com) for my development environment(s). Commonly used on Fedora Linux 35 (Workstation Edition), sometimes using [Nix](https://nixos.org).

Clone & execute the main playbook locally: `ansible-playbook run.yml -K`

```bash
sudo setenforce 0
sudo dnf install -y --refresh ansible
./ensure.sh
```

- Run usual updates: `ansible-playbook update.yml -K`

## Contributing

- Packages: `ansible`, `ansible-lint`
- `git config core.hooksPath .git-hooks`

TODO(earne): Remove this/ update

## After First Run

- Dotfiles
- Secrets (GPG, wakatime)
- Generate SSH key and add to services
- Tailscale (`sudo tailscale up --ssh`)
- Restart!
